List Refinement Qa
curl --request GET \
--url https://api.example.com/api/v1/refinements/{refinement_id}/qa \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/refinements/{refinement_id}/qa"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/refinements/{refinement_id}/qa', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"answer": "<string>",
"answered_at": "2023-11-07T05:31:56Z",
"answered_by": "<string>",
"asked_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"question": "<string>",
"refinement_id": "<string>",
"allow_free_text": false,
"choices": [
{
"id": "<string>",
"label": "<string>"
}
],
"question_type": "text",
"selected": [
"<string>"
]
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}refinements
List Refinement Qa
List all Q&A items for a refinement.
GET
/
api
/
v1
/
refinements
/
{refinement_id}
/
qa
List Refinement Qa
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
Last modified on May 17, 2026
⌘I